//
//  NetworkStatusTool.m
//  DemoTest
//
//  Created by 汇元 on 2018/5/31.
//  Copyright © 2018年 汇元. All rights reserved.
//

#import "NetworkStatusTool.h"
#import "Reachability.h"

#define URL_Reachability_Address  @"www.apple.com"
@implementation NetworkStatusTool

+ (NSString *)getNetworkStatus {
    Reachability *reachability = [Reachability reachabilityWithHostName:URL_Reachability_Address];
    NetworkStatus internetStatus = [reachability currentReachabilityStatus];
    NSString *status = @"无网络连接";
    switch (internetStatus) {
        case ReachableViaWiFi:
            status = @"WIFI";
            break;
            
        case ReachableViaWWAN:
            status = @"蜂窝数据";
            break;
            
        case NotReachable:
            status = @"当前无网路连接";
       
        default:
            break;
    }
    return status;
}

@end

